
var httpData=GetRequest(),
	doctorInfo = JSON.parse(window.localStorage.getItem('wlyyAgent'));

function showSuccessMessage(msg) {
	layer.msg(msg, {
		icon: 1
	})
}

function showErrorMessage(msg) {
	layer.msg(msg, {
		icon: 5
	})
}

function showWarningMessage(msg) {
	layer.msg(msg, {
		icon: 2
	})
}

function showInfoMessage(msg) {
	layer.msg(msg, {
		icon: 6
	})
}
parent.$("#layui-layer" + parent.photoLayerIndex + " .layui-layer-setwin").addClass("set-close-btn")
new Vue({
    el: "#app",
    data: {
    	photoList: null,
    	curryIndex: 0
    },
    mounted: function() {
    	this.findPatientCertificateByType();
    },
    methods: {
    	findPatientCertificateByType: function() {
    		var vm = this,
    			loadding = layer.load(0, {shade: false}),
    			params = {
    				patient: httpData.patientCode,
    				type: httpData.serverType
    			}
			signAPI.findPatientCertificateByType(params).then(function(res) {
				layer.close(loadding)
				if(res.status == 200) {
					vm.photoList = res.data
				} else {
					showErrorMessage(res.msg);
				}
			})
    	},
    	changeCurryIndex: function(index) {
    		this.curryIndex = index
    	},
    	setImg: function(str) {
        	return httpRequest.getImgUrl(str);
        },
    }
})
